Project Chrono: chrono::ChPropertyT< T > Class Template Reference

Public Member Functions | Public Attributes | List of all members
chrono::ChPropertyT< T > Class Template Reference
Chrono::Engine » Geometric objects

## Description

template<class T>
class chrono::ChPropertyT< T >

Templated property: a generic array of items of type T.

`#include <ChProperty.h>`

Inheritance diagram for chrono::ChPropertyT< T >:
[legend]
Collaboration diagram for chrono::ChPropertyT< T >:
[legend]

## Public Member Functions
| ChPropertyT (const ChPropertyT &other)
ChProperty * | clone () override
size_t | GetSize () override
| Get current size of data array.
void | SetSize (const size_t msize) override
| Resize data array to some amount. All internal data will be reset.
virtual void | ArchiveOut (ChArchiveOut &archive_out) override
| Method to allow serialization of transient data to archives.
virtual void | ArchiveIn (ChArchiveIn &archive_in) override
| Method to allow de-serialization of transient data from archives.

## Public Attributes
double | min
double | max
std::vector< T > | data
| data array
Public Attributes inherited from chrono::ChProperty
std::string | name
| name of this property

## Member Function Documentation

## ◆ ArchiveIn()

template<class T>

virtual void chrono::ChPropertyT< T >::ArchiveIn | ( | ChArchiveIn & | archive_in | ) |
| inlineoverridevirtual

Method to allow de-serialization of transient data from archives.

Reimplemented from chrono::ChProperty.

## ◆ ArchiveOut()

template<class T>

virtual void chrono::ChPropertyT< T >::ArchiveOut | ( | ChArchiveOut & | archive_out | ) |
| inlineoverridevirtual

Method to allow serialization of transient data to archives.

Reimplemented from chrono::ChProperty.

## ◆ clone()

template<class T>

ChProperty * chrono::ChPropertyT< T >::clone | ( |  | ) |
| inlineoverridevirtual

Implements chrono::ChProperty.

## ◆ GetSize()

template<class T>

size_t chrono::ChPropertyT< T >::GetSize | ( |  | ) |
| inlineoverridevirtual

Get current size of data array.

Implements chrono::ChProperty.

## ◆ SetSize()

template<class T>

void chrono::ChPropertyT< T >::SetSize | ( | const size_t | msize | ) |
| inlineoverridevirtual

Resize data array to some amount. All internal data will be reset.

Implements chrono::ChProperty.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/geometry/ChProperty.h